#ifndef _DATE_H
#define _DATE_H

#include <string>
#include <ctime>
#include <cstring>

namespace util_tools {

using namespace std;

inline
string
date()
{
   char buffer[200];
   struct tm * info;
   time_t rawtime;
   time(&rawtime);
   info = localtime(&rawtime);
   strftime(buffer, strlen(buffer), "%x - %I:%M%p", info);
   return string(buffer);
}

}

#endif /* _DATE_H */
